Emails

Delete an email

Permanently delete a stored email.

DELETE/api/v1/emails/%7Bid%7D
cURL
curl -X DELETE "https://inboundr.net/api/v1/emails/{id}" \
  -H "Authorization: Bearer $INBOUNDR_API_KEY"

Hard-deletes the email. Its webhook delivery records are removed, and its stored blobs (raw MIME and attachments) are deleted from storage on a best-effort basis. This is irreversible.

idstringpathrequired

The email id (em_…).

Example response

204
No Content

Deleting an email does not refund billing usage, because usage is counted when a message is received.

Returns 404 if the email doesn't exist or isn't yours.